unit Iconwarn;

interface

uses WinTypes, WinProcs, Sysutils, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, lrsbmp16, ExtCtrls, BoxLabl;

type
  TIconWarningDlg = class(TForm)
	Button1: TButton;
	Button2: TButton;
	GroupBox1: TGroupBox;
	Label1: TLabel;
	LrsBmp1: TLrsBmp;
	Label2: TLabel;
	Label3: TLabel;
	Label6: TLabel;
	Label9: TLabel;
	Bevel1: TBevel;
	BoxLabel1: TBoxLabel;
	procedure Button2Click(Sender: TObject);
	procedure Button1Click(Sender: TObject);
  private
	{ Private declarations }
	procedure ShowEditor;
  public
	{ Public declarations }
  end;

var
	IconWarningDlg: TIconWarningDlg;
	BypassedWarning: Bool;
implementation

uses Iconsorc,Utils;

{$R *.DFM}

procedure TIconWarningDlg.Button2Click(Sender: TObject);
var P0: array [byte] of Char;
begin
	MessageBox(Self.Handle,'Access to the icon patching tool is denied until '
		+'you accept the terms of the disclaimer. The menu button will continue '
		+'to open this dialog, but no other functions will be affected.',
		'Disclaimer refused',48);
	StrPCopy(P0,ChangeFileExt(Application.Exename,'.INI'));
	WritePrivateProfileString('Defaults','Hackwarning','Refused',P0);
	Close;
end;

procedure TIconWarningDlg.Button1Click(Sender: TObject);
var P0,P1: array [byte] of Char;
begin
	StrPCopy(P0,ChangeFileExt(Application.Exename,'.INI'));
	WritePrivateProfileString('Defaults','Hackwarning','Shown',P0);
	StrPCopy(P1,'You can now open the icon patch tool without seeing this warning. '
		+'If you need to re-read it at a later date, it can be re-enabled by '
		+'erasing ' + ExtractFilename(ChangeFileExt(Application.Exename,'.INI'))
		+' from this directory.'+#10#10);
	MessageBox(Self.Handle,P1,'Disclaimer accepted',64);
	Close;
end;

procedure TIconWarningDlg.ShowEditor;
var	box: TIconedit;
begin
	box := TIconedit.Create(Application);
	IconWarningDlg.Hide;
	box.Showmodal;
	box.Free;
end;


end.
